Subject: [Tools-discuss] Using search engines to find the online IETF tools

From: Magnus Westerlund <[email-masked]>
Date: Wed, 17 Nov 2021 08:34:11 +0000

Hi,

Was going to perform an IDnits check on a draft I was going to submit and
realized what an abysmal experience it is to search for IDnits on google. So
I entered "ietf idnits" into my search bar and got two pages. First hit is
ID nits on tools.ietf.org which doesn't work. Then realizes that there is
this version hosted at https://www.ietf.org/tools/idnits/ but do you think
it is listed on google? Of course not, it is not listed at all. There must
be something that can be done to ensure that google index all the links for
IETF tools of the https://www7.ietf.org/how/tools/ page?

I also tried bing to see what experience it gave. Bing at least had a link
on the third page, where tools.ietf.org is all on the first page with
several hits. 

Then I also tried searching at www.ietf.org <http://www.ietf.org>  using
"idnits". There you get 5 hits (see below), the last is "Online Tools" which
is a page that actually contains a link to idnits. Looking at this from my
perspective, I think a direct link would be first, followed by the tools
summary page. Basically the reverse order of importance to what the search
presents. 

Would it be possible to do something to improve the experience here and get
better indexing of the ietf pages? 

And if google appear to don't even index IDnits, how are people going to
find it at all when tools.ietf.org shuts down? 

Cheers

Magnus Westerlund

Search result: 

*         IESG Narrative Minutes 2015-12-17
<https://www7.ietf.org/about/groups/iesg/minutes/2015/narrative-minutes-2015
-12-17/> 

*         Essay Style Document Writeup
<https://www7.ietf.org/chairs/document-writeups/essay-style-document-writeup
/> 

This version of the template may be used for working group documents and for
individual submissions.

*          <https://www7.ietf.org/standards/ids/guidelines/> Guidelines to
Authors of Internet-Drafts 

These guidelines aim to make it easier for authors to create and submit
Internet-Drafts.

*         IESG Narrative Minutes 2015-10-15
<https://www7.ietf.org/about/groups/iesg/minutes/2015/narrative-minutes-2015
-10-15/> 

*         Online tools  <https://www7.ietf.org/how/tools/> 

The IETF community works mostly online, and creates many of the tools used
to develop standards documents and support IETF processes.

---

From: Jay Daley <[email-masked]>
Date: Wed, 17 Nov 2021 21:58:24 +1300

Hi Magnus

> On 17/11/2021, at 9:34 PM, Magnus Westerlund <magnus.westerlund=[email-masked]> wrote:
> 
> Hi,
>  
> Was going to perform an IDnits check on a draft I was going to submit and realized what an abysmal experience it is to search for IDnits on google. So I entered “ietf idnits” into my search bar and got two pages. First hit is ID nits on tools.ietf.org which doesn’t work. Then realizes that there is this version hosted at https://www.ietf.org/tools/idnits/ but do you think it is listed on google? Of course not, it is not listed at all. There must be something that can be done to ensure that google index all the links for IETF tools of the https://www7.ietf.org/how/tools/ page?
>  
> I also tried bing to see what experience it gave. Bing at least had a link on the third page, where tools.ietf.org is all on the first page with several hits. 
>  
> Then I also tried searching at www.ietf.org using “idnits”. There you get 5 hits (see below), the last is “Online Tools” which is a page that actually contains a link to idnits. Looking at this from my perspective, I think a direct link would be first, followed by the tools summary page. Basically the reverse order of importance to what the search presents. 
>  
> Would it be possible to do something to improve the experience here and get better indexing of the ietf pages? 
> And if google appear to don’t even index IDnits, how are people going to find it at all when tools.ietf.org shuts down? 

(Robert is away and may wish to add more when he returns)

A replacement idnits web service is being developed. See Kesara’s recent post on this https://mailarchive.ietf.org/arch/msg/tools-discuss/ou9-1YAVx7gaRbeFFnq6iBmxAqY/

Redirections will be in place as much as is possible given the unusual circumstances. around this migration.

Jay

>  
> Cheers
>  
> Magnus Westerlund
>  
> Search result: 
> ·         IESG Narrative Minutes 2015-12-17 
> 
> ·         Essay Style Document Writeup 
> 
> This version of the template may be used for working group documents and for individual submissions.
> 
> ·         Guidelines to Authors of Internet-Drafts 
> 
> These guidelines aim to make it easier for authors to create and submit Internet-Drafts.
> 
> ·         IESG Narrative Minutes 2015-10-15 
> 
> ·         Online tools 
> 
> The IETF community works mostly online, and creates many of the tools used to develop standards documents and support IETF processes.
> 
>  
> ___________________________________________________________
> Tools-discuss mailing list - [email-masked]
> This list is for discussion, not for action requests or bug reports.
> * Report datatracker and mailarchive bugs to: [email-masked]
> * Report tools.ietf.org bugs to: [email-masked]
> * Report all other bugs or issues to: [email-masked]
> List info (including how to Unsubscribe): https://www.ietf.org/mailman/listinfo/tools-discuss

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 17 Nov 2021 10:23:04 +0000

Hi,

It is great that updated tools are being worked on. However, I don't think that answer what is being done for the tools to be found by the intended users. I think this is an aspect that needs to be considered. Especially for the www.ietf.org search functionality you need to be able to find these tools.  

Cheers

Magnus Westerlund

> -----Original Message-----
> From: Jay Daley <[email-masked]>
> Sent: den 17 november 2021 09:58
> To: Magnus Westerlund <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [Tools-discuss] Using search engines to find the online IETF tools
> 
> Hi Magnus
> 
> > On 17/11/2021, at 9:34 PM, Magnus Westerlund
> <magnus.westerlund=[email-masked]> wrote:
> >
> > Hi,
> >
> realized what an abysmal experience it is to search for IDnits on google. So I
> entered “ietf idnits” into my search bar and got two pages. First hit is ID nits
> on tools.ietf.org which doesn’t work. Then realizes that there is this version
> hosted at https://www.ietf.org/tools/idnits/ but do you think it is listed on
> google? Of course not, it is not listed at all. There must be something that can
> be done to ensure that google index all the links for IETF tools of the
> https://www7.ietf.org/how/tools/ page?
> >
> > I also tried bing to see what experience it gave. Bing at least had a link on
> the third page, where tools.ietf.org is all on the first page with several hits.
> >
> > Then I also tried searching at www.ietf.org using “idnits”. There you get 5
> hits (see below), the last is “Online Tools” which is a page that actually
> contains a link to idnits. Looking at this from my perspective, I think a direct
> link would be first, followed by the tools summary page. Basically the reverse
> order of importance to what the search presents.
> >
> > And if google appear to don’t even index IDnits, how are people going to
> A replacement idnits web service is being developed. See Kesara’s recent
> post on this https://mailarchive.ietf.org/arch/msg/tools-discuss/ou9-
> 1YAVx7gaRbeFFnq6iBmxAqY/
> 
> > The IETF community works mostly online, and creates many of the tools
> used to develop standards documents and support IETF processes.
> >
> >
> >
> > Tools-discuss mailing list - [email-masked] This list is for
> > discussion, not for action requests or bug reports.
> > * Report all other bugs or issues to: [email-masked] List info
> > (including how to Unsubscribe):
> > https://www.ietf.org/mailman/listinfo/tools-discuss
> 
> --
> Jay Daley
> IETF Executive Director
> [email-masked]

---

From: Greg Wood <[email-masked]>
Date: Wed, 17 Nov 2021 08:08:30 -0500

[Hi Magnus, and all, I was working FIFO on email and replied directly to an email Magnus sent only to me, and I’m resharing that here below. -Greg]

> Begin forwarded message:
> 
> From: Greg Wood <[email-masked]>
> Subject: Re: Searching for IDnits on www.ietf.org
> Date: 17, November2021 at 08:05:45 EST
> Hi Magnus,
> Thanks for your note.
> I’ve adjusted the “idnits” in-built Wagtail search to more prominently display the ../how/tools/ page when people search for “idnits” on the site. 
> 
> Unfortunately, there’s no option to point directly to external resources, but we’ve thought a bit about how to deal with cross-site search (including datatracker and mailarchive) and will add tools to the mix.
> 
> I wonder what might be happening with Google and Bing? When I tried the same search there, it was the first item returned on both (screenshot below).
> 
> Thanks again,
> 
> -Greg
> 
> 
> 

> On 17, Nov2021, at 05:23, Magnus Westerlund <magnus.westerlund=[email-masked]> wrote:
> 
> Hi,
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 18 Nov 2021 09:06:02 +1300

Greg,

A Google search for "idnits site:ietf.org" takes me first to https://www6.ietf.org/tools/idnits/, which I am fairly sure is not where you want people to go.

Probably the "Validate" button at https://author-tools.ietf.org/ is what Magnus wants.

On the other hand, the "Diff" button at https://author-tools.ietf.org/ is 
no good since it only allows one to select one file, and often one needs to select two files as the original webs service allows.

(I opened a couple of github issues about these points. Once the issues are cleared, author-tools.ietf.org will be the place for one-stop shopping.)

Regards
    Brian

On 18-Nov-21 02:08, Greg Wood wrote:
>> From: Greg Wood <[email-masked] <mailto:[email-masked]>>
>> Subject: Re: Searching for IDnits on www.ietf.org <http://www.ietf.org>
>> To: Magnus Westerlund <[email-masked] <mailto:[email-masked]>>
>>
>> Hi Magnus,
>>
>> Thanks for your note.
>>
>> Unfortunately, there’s no option to point directly to external 
resources, but we’ve thought a bit about how to deal with cross-site search (including datatracker and mailarchive) and will add tools to the mix.
>> On 17, Nov2021, at 05:23, Magnus Westerlund <magnus.westerlund=[email-masked] <mailto:magnus.westerlund=[email-masked]>> wrote:
>>
>> Hi,
>>
>> It is great that updated tools are being worked on. However, I don't think that answer what is being done for the tools to be found by the intended users. I think this is an aspect that needs to be considered. Especially for the www.ietf.org <http://www.ietf.org> search functionality 
you need to be able to find these tools.
>>> From: Jay Daley <[email-masked] <mailto:[email-masked]>>
>>> To: Magnus Westerlund <[email-masked] <mailto:[email-masked]>>
>>> Cc: [email-masked] <mailto:[email-masked]>
>>> <magnus.westerlund=[email-masked] <mailto:magnus.westerlund=[email-masked]>> wrote:
>>>>
>>>> Hi,
>>>>
>>> on tools.ietf.org <http://tools.ietf.org> which doesn’t work. 
Then realizes that there is this version
>>> hosted at https://www.ietf.org/tools/idnits/ <https://www.ietf.org/tools/idnits/> but do you think it is listed on
>>> https://www7.ietf.org/how/tools/ <https://www7.ietf.org/how/tools/> page?
>>>>
>>> the third page, where tools.ietf.org <http://tools.ietf.org> is all on the first page with several hits.
>>>>
>>>> Then I also tried searching at www.ietf.org <http://www.ietf.org> using “idnits”. There you get 5
>>> find it at all when tools.ietf.org <http://tools.ietf.org> shuts down?
>>>
<https://mailarchive.ietf.org/arch/msg/tools-discuss/ou9->
>>>> Tools-discuss mailing list - [email-masked] <mailto:[email-masked]> This list is for
>>>> * Report datatracker and mailarchive bugs to:
>>>> [email-masked] <mailto:[email-masked]>
>>> [email-masked] <mailto:[email-masked]>
>> Tools-discuss mailing list - [email-masked] <mailto:[email-masked]>
>> * Report datatracker and mailarchive bugs to: [email-masked] <mailto:[email-masked]>
>> * Report tools.ietf.org <http://tools.ietf.org> bugs to: [email-masked] <mailto:[email-masked]>
>> * Report all other bugs or issues to: [email-masked] <mailto:[email-masked]>
>> List info (including how to Unsubscribe): https://www.ietf.org/mailman/listinfo/tools-discuss <https://www.ietf.org/mailman/listinfo/tools-discuss>
> 
>

---

From: Warren Kumari <[email-masked]>
Date: Wed, 17 Nov 2021 15:23:18 -0500

On Wed, Nov 17, 2021 at 3:06 PM Brian E Carpenter <
[email-masked]> wrote:

> Greg,
>
> A Google search for "idnits site:ietf.org" takes me first to
> https://www6.ietf.org/tools/idnits/, which I am fairly sure is not where
> you want people to go.
>

Well, going to https://www.ietf.org/tools/idnits/ sends a 302 redirect to
https://www6.ietf.org/tools/idnits/, so it seems like that *is* where the
IETF wanted people to go?

W

> no good since it only allows one to select one file, and often one needs
> to select two files as the original webs service allows.
>
> (I opened a couple of github issues about these points. Once the issues
> are cleared, author-tools.ietf.org will be the place for one-stop
> shopping.)
>
> Regards
>     Brian
>
> > [Hi Magnus, and all, I was working FIFO on email and replied directly to
> an email Magnus sent only to me, and I’m resharing that here below. -Greg]
> >
> >
> >
> >> Begin forwarded message:
> >>
> >> I’ve adjusted the “idnits” in-built Wagtail search to more prominently
> display the ../how/tools/ page when people search for “idnits” on the site.
> >>
> resources, but we’ve thought a bit about how to deal with cross-site
> search (including datatracker and mailarchive) and will add tools to the
> mix.
> >>
> >> I wonder what might be happening with Google and Bing? When I tried the
> same search there, it was the first item returned on both (screenshot
> below).
> >>
> >> Thanks again,
> >>
> >> -Greg
> >>
> >>
> >>
> >
> >
> >> On 17, Nov2021, at 05:23, Magnus Westerlund <magnus.westerlund=
> [email-masked] <mailto:magnus.westerlund=
> [email-masked]>> wrote:
> >>
> >> Hi,
> >>
> >> It is great that updated tools are being worked on. However, I don't
> think that answer what is being done for the tools to be found by the
> intended users. I think this is an aspect that needs to be considered.
> Especially for the www.ietf.org <http://www.ietf.org> search
> functionality
> >>> From: Jay Daley <[email-masked] <mailto:[email-masked]
> >>
> >>> <magnus.westerlund=[email-masked] <mailto:
> magnus.westerlund=[email-masked]>> wrote:
> >>>>
> >>>> Hi,
> >>>>
> >>> hosted at https://www.ietf.org/tools/idnits/ <
> https://www.ietf.org/tools/idnits/> but do you think it is listed on
> >>>> Would it be possible to do something to improve the experience here
> and
> >>> get better indexing of the ietf pages?
> >> * Report tools.ietf.org <http://tools.ietf.org> bugs to:
> [email-masked] <mailto:[email-masked]>
> >> List info (including how to Unsubscribe):
> https://www.ietf.org/mailman/listinfo/tools-discuss <
> https://www.ietf.org/mailman/listinfo/tools-discuss>
> >
> >
> [email-masked]
> > List info (including how to Unsubscribe):
> List info (including how to Unsubscribe):

-- 
The computing scientist’s main challenge is not to get confused by the
complexities of his own making.
  -- E. W. Dijkstra

---

From: Robert Sparks <[email-masked]>
Date: Wed, 17 Nov 2021 15:36:27 -0600

On 11/17/21 2:23 PM, Warren Kumari wrote:
>
>
> On Wed, Nov 17, 2021 at 3:06 PM Brian E Carpenter 
> <[email-masked]> wrote:
>
>     Greg,
>
>     A Google search for "idnits site:ietf.org <http://ietf.org>" takes
>     me first to https://www6.ietf.org/tools/idnits/, which I am fairly
>     sure is not where you want people to go.
>
>
> Well, going to https://www.ietf.org/tools/idnits/ sends a 302 redirect 
> to https://www6.ietf.org/tools/idnits/, so it seems like that *is* 
> where the IETF wanted people to go?

At the moment, yes. There is a project scheduled before the year is out 
to get the www6 out of the url.

In the long run, yes, author-tools should be where we begin steering people.

>     no good since it only allows one to select one file, and often one
>     needs to select two files as the original webs service allows.
>
>     (I opened a couple of github issues about these points. Once the
>     issues are cleared, author-tools.ietf.org
>     <http://author-tools.ietf.org> will be the place for one-stop
>     shopping.)
>
>     Regards
>         Brian
>
>     > [Hi Magnus, and all, I was working FIFO on email and replied
>     directly to an email Magnus sent only to me, and I’m resharing
>     that here below. -Greg]
>     >
>     >
>     >
>     >> Begin forwarded message:
>     >>
>     <http://www.ietf.org> <http://www.ietf.org>
>     >> I’ve adjusted the “idnits” in-built Wagtail search to more
>     prominently display the ../how/tools/ page when people search for
>     “idnits” on the site.
>     >>
>     resources, but we’ve thought a bit about how to deal with
>     cross-site search (including datatracker and mailarchive) and will
>     add tools to the mix.
>     >>
>     >> I wonder what might be happening with Google and Bing? When I
>     tried the same search there, it was the first item returned on
>     both (screenshot below).
>     >>
>     >> Thanks again,
>     >>
>     >> -Greg
>     >>
>     >>
>     >>
>     >
>     >
>     >> On 17, Nov2021, at 05:23, Magnus Westerlund
>     <magnus.westerlund=[email-masked]
>     <mailto:magnus.westerlund=[email-masked]>> wrote:
>     >>
>     >> Hi,
>     >>
>     >> It is great that updated tools are being worked on. However, I
>     don't think that answer what is being done for the tools to be
>     found by the intended users. I think this is an aspect that needs
>     to be considered. Especially for the www.ietf.org
>     <http://www.ietf.org> <http://www.ietf.org> search functionality
>     >>> <magnus.westerlund=[email-masked]
>     <mailto:magnus.westerlund=[email-masked]>> wrote:
>     >>>>
>     >>>> Hi,
>     >>>>
>     >>> on tools.ietf.org <http://tools.ietf.org>
>     <http://tools.ietf.org> which doesn’t work.
>     >>> hosted at https://www.ietf.org/tools/idnits/
>     <https://www.ietf.org/tools/idnits/> but do you think it is listed on
>     >>> the third page, where tools.ietf.org <http://tools.ietf.org>
>     <http://tools.ietf.org> is all on the first page with several hits.
>     >>>>
>     >>>> Then I also tried searching at www.ietf.org
>     <http://www.ietf.org> <http://www.ietf.org> using “idnits”. There
>     you get 5
>     >>>> Would it be possible to do something to improve the
>     experience here and
>     >>> find it at all when tools.ietf.org <http://tools.ietf.org>
>     <http://tools.ietf.org> shuts down?
>     >>>
>     >>> post on this
>     https://mailarchive.ietf.org/arch/msg/tools-discuss/ou9-
>     >>> Redirections will be in place as much as is possible given the
>     unusual
>     >>> circumstances. around this migration.
>     >>>
>     >>> Jay
>     >>>
>     >>>>
>     >>>> Cheers
>     >>>>
>     >>>> Magnus Westerlund
>     >>>>
>     >>>> Search result:
>     >>>> This version of the template may be used for working group
>     documents
>     >>> and for individual submissions.
>     >>>>
>     <mailto:[email-masked]> This list is for
>     <mailto:[email-masked]>
>     [email-masked]
>     <mailto:[email-masked]>
>     >> * Report tools.ietf.org <http://tools.ietf.org>
>     <http://tools.ietf.org> bugs to: [email-masked]
>     <mailto:[email-masked]>
>     <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/tools-discuss>
>     >
>     >
>     [email-masked]
>     [email-masked]
> Tools-discuss mailing list [email-masked]
> * Report datatracker and mailarchive bugs to:[email-masked]
> * Report tools.ietf.org bugs to:[email-masked]
> * Report all other bugs or issues to:[email-masked]
> List info (including how to Unsubscribe):https://www.ietf.org/mailman/listinfo/tools-discuss

---

From: Magnus Westerlund <[email-masked]>
Date: Thu, 18 Nov 2021 17:41:39 +0000

Hi,

I find it very interesting that I get such a total different page from Google. My page doesn’t change based if I was logged in or not. But the headings on my page are reproduce below, so it might have to do with location and what the search engine associate with the profile of my device.

Cheers

Magnus Westerlund

Idnits Tool - IETF Tools

https://tools.ietf.org › tools › idnits

 <https://translate.google.com/translate?hl=sv&sl=en&u=https://tools.ietf.org/tools/idnits/&prev=search&pto=aue> Översätt den här sidan

IETF Home · About Tools · Tools: · diffs spell · xml2rfc idnits · id2xml tracker src · News · Get Passwd. IETF-112:.

 <https://tools.ietf.org/tools/idnits/about> Idnits Tool

idnits looks for violations of Section 2.1 and 2.2 of the requirements ...

Diff: idnits-v2.04.12

# GNU General Public License for more details. #, #. # You should ...

Fler resultat från ietf.org <https://www.google.com/search?q=ietf+idnits+site:ietf.org&client=firefox-b-d&sa=X&ved=2ahUKEwjry7jk0KH0AhX7AxAIHb1QC8wQrAN6BAgUEAE>  »

idnits - PyPI

https://pypi.org › project › idnits

 <https://translate.google.com/translate?hl=sv&sl=en&u=https://pypi.org/project/idnits/&prev=search&pto=aue> Översätt den här sidan

31 dec. 2018 — The idnits program inspects IETF Internet-Draft documents for a variety of conditions that should be adjusted to bring the document into ...

AUR (en) - ietf-idnits - Arch Linux

https://aur.archlinux.org › packages

Översätt den här sidan <https://translate.google.com/translate?hl=sv&sl=en&u=https://aur.archlinux.org/packages/ietf-idnits/&prev=search&pto=aue> 

21 apr. 2020 — Git Clone URL:  <https://aur.archlinux.org/ietf-idnits.git> https://aur.archlinux.org/ietf-idnits.git (read-only, click to copy). Package Base: ietf-idnits.

Package Base:  <http://aur.archlinux.org/pkgbase/ietf-idnits> ietf-idnits

First Submitted: 2020-04-21 22:15

idnits - Ports | MacPorts

https://ports.macports.org › idnits

 <https://translate.google.com/translate?hl=sv&sl=en&u=https://ports.macports.org/port/idnits/summary/&prev=search&pto=aue> Översätt den här sidan

'idnits' looks for violations of Section 2.1 and 2.2 of the requirements listed on http://www.ietf.org/ID-Checklist.html and some of ...

idnits-mirror/idnits at main · ietf-tools/idnits-mirror · GitHub

https://github.com › ietf-tools › idnits-mirror › blob › idnits

Contribute to ietf-tools/idnits-mirror development by creating an account on GitHub.

idnits - Homebrew Formulae

https://formulae.brew.sh › formula

Översätt den här sidan <https://translate.google.com/translate?hl=sv&sl=en&u=https://formulae.brew.sh/formula/idnits&prev=search&pto=aue> 

idnits. Install command: brew install idnits. Looks for problems in internet draft formatting. https://tools.ietf.org/tools/idnits/.

Internet Draft - Wikipedia

https://nl.wikipedia.org › wiki › I...

Översätt den här sidan <https://translate.google.com/translate?hl=sv&sl=nl&u=https://nl.wikipedia.org/wiki/Internet_Draft&prev=search&pto=aue> 

IDnits Tool kan gebruikt worden om een document te controleren op syntaxis. ... Alle Internet Drafts worden verwijderd van de IETF publieke I-D repository ...

Metanorma AsciiRFC sample: The Holy Hand Grenade of ...

https://www.metanorma.org › ietf

Översätt den här sidan <https://translate.google.com/translate?hl=sv&sl=en&u=https://www.metanorma.org/author/ietf/sample/&prev=search&pto=aue> 

To check out Metanorma capabilities for IETF, take a look at the The Holy ... You will need Ruby, xml2rfc and idnits (for submission preflight) installed.

RFC7221: Handling of Internet-Drafts by IETF Working Groups

https://getrfc.com › rfc7221

Översätt den här sidan <https://translate.google.com/translate?hl=sv&sl=en&u=https://getrfc.com/rfc7221&prev=search&pto=aue> 

This document is a product of the Internet Engineering Task Force (IETF). ... is good practice to check whether a new working group draft passes [IDNITS].